## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NamedNodeMapAttributeList Class Reference

`#include <NamedNodeMapAttributeList.hpp>`

Inheritance diagram for NamedNodeMapAttributeList

Collaboration diagram for NamedNodeMapAttributeList:

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  AttributeList ParentType

## Public Methods

- NamedNodeMapAttributeList (const XalanNamedNodeMap& theMap)
- virtual ~NamedNodeMapAttributeList ()
- virtual unsigned int getLength () const
- virtual const XalanDOMChar* getName (const unsigned int index) const
- virtual const XalanDOMChar* getType (const unsigned int index) const
- virtual const XalanDOMChar* getValue (const unsigned int index) const
- virtual const XalanDOMChar* getType (const XalanDOMChar* const name) const
- virtual const XalanDOMChar* getValue (const XalanDOMChar* const name) const
- virtual const XalanDOMChar* getValue (const char* const name) const

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER AttributeList NamedNodeMapAttributeList::ParentType

## Constructor & Destructor Documentation

NamedNodeMapAttributeList::NamedNodeMapAttributeList ( | const XalanNamedNodeMap & theMap )`[explicit]`

virtual NamedNodeMapAttributeList::~NamedNodeMapAttributeList ( | )`[virtual]`

## Member Function Documentation

virtual unsigned int NamedNodeMapAttributeList::getLength ( | ) const`[virtual]`

virtual const XalanDOMChar* NamedNodeMapAttributeList::getName ( | const unsigned int index ) const`[virtual]`

virtual const XalanDOMChar* NamedNodeMapAttributeList::getType ( | const XalanDOMChar *const name ) const`[virtual]`

virtual const XalanDOMChar* NamedNodeMapAttributeList::getType ( | const unsigned int index ) const`[virtual]`

virtual const XalanDOMChar* NamedNodeMapAttributeList::getValue ( | const char *const name ) const`[virtual]`

virtual const XalanDOMChar* NamedNodeMapAttributeList::getValue ( | const XalanDOMChar *const name ) const`[virtual]`

virtual const XalanDOMChar* NamedNodeMapAttributeList::getValue ( | const unsigned int index ) const`[virtual]`

The documentation for this class was generated from the following file:

- NamedNodeMapAttributeList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.